gnome-mag: magnifier.h File Reference

# magnifier.h File Reference

`#include "GNOME_Magnifier.h"`
`#include <glib.h>`
`#include <gdk/gdk.h>`
`#include <bonobo/bonobo-object.h>`
`#include <bonobo/bonobo-property-bag.h>`
`#include <login-helper/login-helper.h>`

Go to the source code of this file.

## Data Structures
struct | Magnifier
struct | MagnifierClass
struct | timing
## Defines
#define | MAGNIFIER_TYPE (magnifier_get_type ())
#define | MAGNIFIER(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), MAGNIFIER_TYPE, Magnifier))
#define | MAGNIFIER_CLASS(k) (G_TYPE_CHECK_CLASS_CAST((k), MAGNIFIER_TYPE, MagnifierClass))
#define | IS_MAGNIFIER(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), MAGNIFIER_TYPE))
#define | IS_MAGNIFIER_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), MAGNIFIER_TYPE))
#define | MAGNIFIER_OAFIID "OAFIID:GNOME_Magnifier_Magnifier:0.9"
## Typedefs
typedef struct _MagnifierPrivate | MagnifierPrivate
typedef struct timing | TimingStruct
## Functions
GdkDrawable * | magnifier_get_cursor (Magnifier *magnifier)
GType | magnifier_get_type (void)
GdkWindow * | magnifier_get_root (Magnifier *magnifier)
Magnifier * | magnifier_new (gboolean override_redirect)
void | magnifier_notify_damage (Magnifier *magnifier, GdkRectangle *rect)
void | magnifier_set_cursor_from_pixbuf (Magnifier *magnifier, GdkPixbuf *pointer_pixbuf)
void | magnifier_set_cursor_pixmap_by_name (Magnifier *magnifier, const gchar *cursor_name, gboolean source_fallback)
void | magnifier_transform_cursor (Magnifier *magnifier)
void | magnifier_zoom_regions_update_pointer (Magnifier *magnifier)
gboolean | magnifier_full_screen_capable (Magnifier *magnifier)
## Variables
TimingStruct | mag_timing

## Define Documentation

#define MAGNIFIER_TYPE (magnifier_get_type ())

Definition at line 41 of file magnifier.h.

#define MAGNIFIER | ( | o |  | ) | (G_TYPE_CHECK_INSTANCE_CAST ((o), MAGNIFIER_TYPE, Magnifier))

Definition at line 42 of file magnifier.h.

Referenced by impl_magnifier_add_zoom_region(), impl_magnifier_clear_all_zoom_regions(), impl_magnifier_create_zoom_region(), impl_magnifier_dispose(), impl_magnifier_full_screen_capable(), impl_magnifier_get_properties(), impl_magnifier_get_source_display(), impl_magnifier_get_target_display(), impl_magnifier_get_zoom_regions(), impl_magnifier_hide_cursor(), impl_magnifier_set_source_display(), impl_magnifier_set_target_display(), impl_magnifier_show_cursor(), mag_login_helper_get_raise_windows(), magnifier_gobject_dispose(), and magnifier_reset_struts_at_idle().

#define MAGNIFIER_CLASS | ( | k |  | ) | (G_TYPE_CHECK_CLASS_CAST((k), MAGNIFIER_TYPE, MagnifierClass))

Definition at line 43 of file magnifier.h.

#define IS_MAGNIFIER | ( | o |  | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((o), MAGNIFIER_TYPE))

Definition at line 44 of file magnifier.h.

Referenced by magnifier_main_pan_image(), magnifier_main_refresh_all(), and magnifier_main_test_image().

#define IS_MAGNIFIER_CLASS | ( | k |  | ) | (G_TYPE_CHECK_CLASS_TYPE ((k), MAGNIFIER_TYPE))

Definition at line 45 of file magnifier.h.

#define MAGNIFIER_OAFIID "OAFIID:GNOME_Magnifier_Magnifier:0.9"

Definition at line 47 of file magnifier.h.

Referenced by magnifier_do_dispose(), and magnifier_new().

## Typedef Documentation

typedef struct _MagnifierPrivate MagnifierPrivate

Definition at line 49 of file magnifier.h.

typedef struct timing TimingStruct

## Function Documentation

GdkDrawable* magnifier_get_cursor | ( | Magnifier * | magnifier | ) |

Definition at line 1752 of file magnifier.c.

References _MagnifierPrivate::cursor, Magnifier::cursor_set, fixes_event_base, magnifier_set_cursor_from_pixbuf(), magnifier_transform_cursor(), and Magnifier::priv.

Referenced by zoom_region_cursor_rect(), zoom_region_paint_crosswire_cursor(), and zoom_region_paint_cursor().

GType magnifier_get_type | ( | void |  | ) |

Referenced by magnifier_new().

GdkWindow* magnifier_get_root | ( | Magnifier * | magnifier | ) |

Definition at line 397 of file magnifier.c.

References Magnifier::priv, _MagnifierPrivate::root, Magnifier::source_display, and Magnifier::source_screen_num.

Referenced by impl_magnifier_add_zoom_region(), magnifier_main_pan_image(), magnifier_set_property(), and zoom_region_update_pointer().

Magnifier* magnifier_new | ( | gboolean | override_redirect | ) |

Definition at line 1781 of file magnifier.c.

References _is_override_redirect, mag_login_helper_set_magnifier(), magnifier_get_type(), MAGNIFIER_OAFIID, and magnifier_reset_struts_at_idle().

Referenced by main().

void magnifier_notify_damage | ( | Magnifier * | magnifier,
|  | GdkRectangle * | rect |
| ) |  |  |

Definition at line 361 of file magnifier.c.

References magnifier_zoom_regions_mark_dirty(), GNOME_Magnifier_RectBounds_type::x1, GNOME_Magnifier_RectBounds_type::x2, GNOME_Magnifier_RectBounds_type::y1, and GNOME_Magnifier_RectBounds_type::y2.

void magnifier_set_cursor_from_pixbuf | ( | Magnifier * | magnifier,
|  | GdkPixbuf * | pointer_pixbuf |
| ) |  |  |

Definition at line 274 of file magnifier.c.

References _MagnifierPrivate::cursor, _MagnifierPrivate::cursor_default_size_x, _MagnifierPrivate::cursor_default_size_y, Magnifier::cursor_hotspot, _MagnifierPrivate::cursor_hotspot_x, _MagnifierPrivate::cursor_hotspot_y, _MagnifierPrivate::cursor_mask, DBG, Magnifier::priv, _MagnifierPrivate::w, GNOME_Magnifier_Point_type::x, and GNOME_Magnifier_Point_type::y.

Referenced by magnifier_get_cursor(), and magnifier_set_cursor_pixmap_by_name().

void magnifier_set_cursor_pixmap_by_name | ( | Magnifier * | magnifier,
|  | const gchar * | cursor_name,
|  | gboolean | source_fallback |
| ) |  |  |

Definition at line 340 of file magnifier.c.

References magnifier_get_pixbuf_for_name(), and magnifier_set_cursor_from_pixbuf().

Referenced by magnifier_init_cursor_set().

void magnifier_transform_cursor | ( | Magnifier * | magnifier | ) |

Definition at line 717 of file magnifier.c.

References _MagnifierPrivate::cursor, Magnifier::cursor_color, _MagnifierPrivate::cursor_default_size_x, _MagnifierPrivate::cursor_default_size_y, Magnifier::cursor_hotspot, _MagnifierPrivate::cursor_hotspot_x, _MagnifierPrivate::cursor_hotspot_y, _MagnifierPrivate::cursor_mask, Magnifier::cursor_scale_factor, Magnifier::cursor_size_x, Magnifier::cursor_size_y, DBG, magnifier_recolor_pixbuf(), Magnifier::priv, _MagnifierPrivate::w, GNOME_Magnifier_Point_type::x, and GNOME_Magnifier_Point_type::y.

Referenced by magnifier_get_cursor(), magnifier_init_cursor_set(), and magnifier_set_property().

void magnifier_zoom_regions_update_pointer | ( | Magnifier * | magnifier | ) |

Definition at line 230 of file magnifier.c.

References GNOME_Magnifier_ZoomRegion_updatePointer(), zoom_region, and Magnifier::zoom_regions.

Referenced by magnifier_set_property().

gboolean magnifier_full_screen_capable | ( | Magnifier * | magnifier | ) |

Definition at line 458 of file magnifier.c.

References Magnifier::source_display_name, and Magnifier::target_display_name.

Referenced by magnifier_adjust_source_size().

## Variable Documentation

TimingStruct mag_timing

Definition at line 155 of file magnifier.h.

Referenced by gdk_timing_idle(), magnifier_init(), reset_timing_stats(), timing_report(), zoom_region_align(), zoom_region_moveto(), zoom_region_pan_test(), zoom_region_scroll(), zoom_region_time_frame(), zoom_region_update(), and zoom_region_update_pixmap().